Page MenuHomePhabricator

[TableGen] Let list elements have a trailing comma
ClosedPublic

Authored by javed.absar on Mar 12 2019, 4:28 AM.

Details

Summary

Let lists have an trailing comma to allow cleaner diffs e.g:

def : Features<[FeatureA,
                           FeatureB,
                          ]>;

I could extend it to template arguments, if there is enough consensus on it.

Diff Detail

Repository
rL LLVM

Event Timeline

javed.absar created this revision.Mar 12 2019, 4:28 AM
hfinkel accepted this revision.Mar 14 2019, 8:54 AM

LGTM

This revision is now accepted and ready to land.Mar 14 2019, 8:54 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 26 2019, 4:16 AM